Bug 475872 - Xorg display turns off 2.6.27.x.fc10
Xorg display turns off 2.6.27.x.fc10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 16:15 EST by anwo
Modified: 2009-12-18 02:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (119.09 KB, text/plain)
2008-12-10 16:24 EST, anwo
no flags Details
2.6.27.7-34.debuginfo dmesg (working) (43.99 KB, application/octet-stream)
2008-12-13 10:40 EST, anwo
no flags Details
2.6.27.7-34.debuginfo Xorg.log (working) (38.59 KB, application/octet-stream)
2008-12-13 10:41 EST, anwo
no flags Details
2.6.27.7-34.i686 dmesg (X not working -> no screens found) (41.52 KB, application/octet-stream)
2008-12-13 10:42 EST, anwo
no flags Details
2.6.27.7-34.i686 Xorg.log (X not working -> no screens found) (4.63 KB, application/octet-stream)
2008-12-13 10:43 EST, anwo
no flags Details

  None (edit)
Description anwo 2008-12-10 16:15:37 EST
Description of problem:
Since I use fedora 10 with 2.6.27.x my display turns off on XOrg load. It works fine with 2.6.26.x.fc9 kernels. I tried to disable modesetings, disabled nvidia-kmod and used vesa xserver but nothing works... 

Notebook Model: Acer Aspire 5920 with geforge 8600GTM

I attached the dmesg, Xorg.log from both kernels
.

Additional info:
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GT (rev a1)
04:00.0 Memory controller: Intel Corporation Turbo Memory Controller (rev 01)
06:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
08:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express (rev 02)
0a:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
0a:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
0a:09.2 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev 12)
0a:09.3 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
0a:09.4 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev ff)
Comment 1 anwo 2008-12-10 16:24:49 EST
Created attachment 326551 [details]
log files
Comment 2 anwo 2008-12-13 10:40:48 EST
Created attachment 326822 [details]
2.6.27.7-34.debuginfo dmesg (working)
Comment 3 anwo 2008-12-13 10:41:29 EST
Created attachment 326823 [details]
 2.6.27.7-34.debuginfo Xorg.log (working)
Comment 4 anwo 2008-12-13 10:42:44 EST
Created attachment 326824 [details]
 2.6.27.7-34.i686 dmesg (X not working -> no screens found)
Comment 5 anwo 2008-12-13 10:43:10 EST
Created attachment 326825 [details]
 2.6.27.7-34.i686 Xorg.log (X not working -> no screens found)
Comment 6 anwo 2008-12-13 10:45:29 EST
its strange... debuginfo kernel seems to work for me, but not the normal one. I  attached the dmesg an xorg.log of both.
Comment 7 anwo 2009-02-02 08:00:45 EST
today I updated to  2.6.27.12-170.2.5 and as before always after installing a new kernel only the first boot works. I found out that the system is working, i can  type commands (blind -> still black screen) to the commandline like "reboot" if i use single mode. 
I tried nomodeset, noapic, acpi=off the only thing that works for 1 boot is to remove and reinstall the kernel... any ideas?
Comment 8 Bug Zapper 2009-11-18 05:25:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:14:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.